<div class="section-container" [formGroup]="professionalDetailFormGroup">
  <div class="step">
    <h1 class="step-title">Professional Details</h1>
    <div class="step-body">
      <p class="p-large">Please provide your professional details.</p>
      <app-loader *ngIf="dataLoader"></app-loader>
      <div class="form-group">
        <div class="form-row">
          <div class="form-col-3">
            <mat-form-field>
              <input
                matInput
                autocomplete="off"
                [errorStateMatcher]="formSubmittedMatcher"
                placeholder="Organisation Name"
                alphaNumericWithSpecialsAndSpaceOnly
                upperOnly="true"
                length="35"
                formControlName="organisationName"
              />
              <mat-error
                *ngIf="
                  form.organisationName.errors &&
                  form.organisationName.errors.required
                "
                >Organisation name is required</mat-error
              >
              <mat-error
                *ngIf="
                  form.organisationName.errors &&
                  (form.organisationName.errors.minlength ||
                    form.organisationName.errors.maxlength)
                "
                >Organisation name should have min 10 characters && max 35
                characters</mat-error
              >
              <mat-error
                *ngIf="
                  form.organisationName.errors &&
                  form.organisationName.errors.pattern
                "
                >Please enter valid organisation name</mat-error
              >
            </mat-form-field>
          </div>
          <div class="form-col-3">
            <mat-form-field>
              <mat-select
                [errorStateMatcher]="formSubmittedMatcher"
                formControlName="organisationType"
                placeholder="Organisation Type"
                disableOptionCentering
              >
                <mat-option
                  *ngFor="
                    let type of constantsService.constants.organisationType
                  "
                  [value]="type.id"
                  >{{ type.value }}</mat-option
                >
              </mat-select>
              <mat-error
                *ngIf="
                  form.organisationType.errors &&
                  form.organisationType.errors.required
                "
                >Please select Organisation Type</mat-error
              >
            </mat-form-field>
          </div>
          <div class="form-col-3">
            <mat-form-field>
              <input
                matInput
                autocomplete="off"
                [errorStateMatcher]="formSubmittedMatcher"
                placeholder="Monthly Take Home Salary"
                length="7"
                formControlName="monthlyTakeHomeSalary"
                indianCurrencyFormatter
              />
              <mat-error
                *ngIf="
                  form.monthlyTakeHomeSalary.errors &&
                  form.monthlyTakeHomeSalary.errors.required
                "
                >Monthly take home salary is required</mat-error
              >
              <mat-error
                *ngIf="
                  form.monthlyTakeHomeSalary.errors &&
                  (form.monthlyTakeHomeSalary.errors.minlength ||
                    form.monthlyTakeHomeSalary.errors.maxlength)
                "
                >Monthly take home salary should consist of min 4 values && max
                7 values</mat-error
              >
              <mat-error
                *ngIf="
                  form.monthlyTakeHomeSalary.errors &&
                  form.monthlyTakeHomeSalary.errors.pattern
                "
                >Please enter valid monthly take home salary</mat-error
              >
            </mat-form-field>
          </div>
        </div>
        <div class="form-row">
          <div class="form-col-3">
            <mat-form-field>
              <input
                matInput
                autocomplete="off"
                [errorStateMatcher]="formSubmittedMatcher"
                placeholder="Monthly Obligations"
                length="7"
                formControlName="monthlyObligations"
                indianCurrencyFormatter
              />
              <mat-error
                *ngIf="
                  form.monthlyObligations.errors &&
                  form.monthlyObligations.errors.required
                "
                >Monthly obligation is required</mat-error
              >
              <mat-error
                *ngIf="
                  form.monthlyObligations.errors &&
                  form.monthlyObligations.errors.limit
                "
                >Monthly obligation can't be greater than take home
                salary</mat-error
              >
              <mat-error
                *ngIf="
                  form.monthlyObligations.errors &&
                  (form.monthlyObligations.errors.minlength ||
                    form.monthlyObligations.errors.maxlength)
                "
                >Monthly take home salary should consist of min 3 values && max
                7 values</mat-error
              >
              <mat-error
                *ngIf="
                  form.monthlyObligations.errors &&
                  form.monthlyObligations.errors.pattern
                "
                >Please enter valid Monthly obligation</mat-error
              >
            </mat-form-field>
          </div>
          <div class="form-col-3">
            <mat-form-field>
              <input
                matInput
                autocomplete="off"
                [errorStateMatcher]="formSubmittedMatcher"
                placeholder="Current Organisation Experience"
                numberOnly
                length="2"
                formControlName="expCurrentOrganisation"
              />
              <mat-error
                *ngIf="
                  form.expCurrentOrganisation.errors &&
                  form.expCurrentOrganisation.errors.required
                "
                >Current organisation experience is required</mat-error
              >
              <mat-error
                *ngIf="
                  form.expCurrentOrganisation.errors &&
                  form.expCurrentOrganisation.errors.pattern
                "
                >Please enter valid current organisation experience</mat-error
              >
              <mat-hint
                >Current organisation experience min length: 1 && max length: 2
              </mat-hint>
            </mat-form-field>
          </div>

          <div class="form-col-3">
            <mat-form-field>
              <input
                matInput
                autocomplete="off"
                [errorStateMatcher]="formSubmittedMatcher"
                placeholder="Total Experience"
                numberOnly
                length="2"
                formControlName="totalExp"
              />
              <mat-error
                *ngIf="form.totalExp.errors && form.totalExp.errors.required"
                >Total experience is required</mat-error
              >
              <mat-error
                *ngIf="form.totalExp.errors && form.totalExp.errors.pattern"
              >
                Please enter valid total experience</mat-error
              >
              <mat-error
                *ngIf="form.totalExp.errors && form.totalExp.errors.limit"
                >Total experience can't be smaller than current organisation
                experience</mat-error
              >
              <mat-hint
                >Total experience can have min: 1 value && max: 2
                values</mat-hint
              >
            </mat-form-field>
          </div>
        </div>
      </div>

      <div class="btn-wrap">
        <button
          type="submit"
          [disabled]="!professionalDetailFormGroup.valid"
          (click)="saveProfessionalDetail()"
          mat-button
          [disableRipple]="true"
        >
          Next
        </button>
      </div>
      <app-loader *ngIf="formSubmitted"></app-loader>
    </div>
  </div>
</div>
